libad9361 0.2 Device specific library for AD936X transceivers

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
ad9361.h File Reference

Public interface. More...

Go to the source code of this file.

## Data Structures
struct | filter_design_parameters
| Custom Filter Design Parameters. More...

## Macros
#define | FIXUP_INTERFACE_TIMING 1
#define | CHECK_SAMPLE_RATES 2

## Functions
__api int | ad9361_multichip_sync (struct iio_device *master, struct iio_device **slaves, unsigned int num_slaves, unsigned int flags)
| Multi-chip synchronization (MCS) management.
__api int | ad9361_fmcomms5_multichip_sync (struct iio_context *ctx, unsigned int flags)
| FMComms5 specific MCS management.
__api int | ad9361_set_bb_rate (struct iio_device *dev, unsigned long rate)
| Baseband rate configuration with generic filter support.
__api int | ad9361_set_trx_fir_enable (struct iio_device *dev, int enable)
| Enable or disable transmit and receiver FIRs simultaneously.
__api int | ad9361_get_trx_fir_enable (struct iio_device *dev, int *enable)
| Get current enable value of transmit and receiver FIRs.
__api int | ad9361_generate_fir_taps (struct filter_design_parameters *parameters, short *taps, int *num_taps, int *gain)
| Design custom FIR filter from specific design criteria.
__api int | ad9361_calculate_rf_clock_chain (unsigned long tx_sample_rate, unsigned long rate_gov, unsigned long *rx_path_clks, unsigned long *tx_path_clks)
| Calculate the clock path rates for both transmit and receiver paths.
__api int | ad9361_calculate_rf_clock_chain_fdp (struct filter_design_parameters *fdpTX, struct filter_design_parameters *fdpRX, unsigned long sample_rate)
| Calculate the clock path rates and default filter settings for both transmit and receiver for a desired baseband rate.
__api int | ad9361_set_bb_rate_custom_filter_auto (struct iio_device *dev, unsigned long rate)
| Baseband rate configuration with custom filter support based on desired baseband sample rate.
__api int | ad9361_set_bb_rate_custom_filter_manual (struct iio_device *dev, unsigned long rate, unsigned long Fpass, unsigned long Fstop, unsigned long wnom_tx, unsigned long wnom_rx)
| Baseband rate configuration with custom filter support based on desired baseband sample rate and simplified filter configuration.
__api int | ad9361_fmcomms5_phase_sync (struct iio_context *ctx, long long lo)
| FMComms5 phase synchronize all TX and RX channels together.

## Detailed Description

Public interface.